﻿//LCDコマンド
enum ELCmd
{
	LCMD_BUF_READY,
	LCMD_BUF_SET,
	LCMD_DATA_PORT,		//例(PORTC, DDRC)	出力レジスタ,方向レジスタの順
	LCMD_DATA_BIT,		//例(0b00111100, 0)	連続する4bit,ビットリバースする(1)／しない(0)
	LCMD_CTRL_PORT,		//例(PORTB, DDRB)	出力レジスタ,方向レジスタの順
	LCMD_CTRL_BIT,		//例(0b00000010, 0b00000001)	E,RSの順
	LCMD_INIT,		//LCD初期化（ポートを設定した後に実行する）
	LCMD_CMD,		//コマンドを発行する
	LCMD_CHAR,		//1文字表示する
	LCMD_STRING,	//16文字以下の文字列を表示する（LCMD_BUF_XXXと組み合わせて使う）
	LCMD_UINT,		//UInt16型またはUInt8型整数を表示する
	LCMD_DEFCHAR	//外字定義を確定する（LCMD_BUF_XXXと組み合わせて使う）
};

//EEPROMコマンド
enum EERCmd
{
	ERCMD_READ_BYTE,
	ERCMD_READ_WORD,
	ERCMD_WRITE_ADDR,
	ERCMD_WRITE_BYTE,
	ERCMD_WRITE_WORD
};
